Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Upgrade from 6.0.10 to 7 beta4

  1. #1
    Join Date
    Mar 2010
    Posts
    23
    Rep Power
    5

    Default Upgrade from 6.0.10 to 7 beta4

    Dear all,

    One week ago I updated zimbra 6.0.10 to 7 beta4 file http://files2.zimbra.com/downloads/7...0127185715.tgz

    All the installation process run without any error and zimbra has worked like a charm.

    This evening I have received an email from the sytem:

    Database errors found.
    /opt/zimbra/mysql/bin/mysqlcheck --defaults-file=/opt/zimbra/conf/my.cnf -S /opt/zimbra/db/mysql.sock -A -C -s -u root --password=s012xs1xFEmhsIBsG6X4zTlFXX
    mboxgroup1.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup1.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup1.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup1.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup1.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup10.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup10.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup10.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup10.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup10.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup11.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup11.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup11.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup11.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup11.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup12.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup12.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup12.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup12.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup12.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup13.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup13.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup13.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup13.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup13.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup2.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup2.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup2.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup2.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup2.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup3.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup3.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup3.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup3.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup3.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup4.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup4.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup4.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup4.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup4.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup5.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup5.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup5.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup5.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup5.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup6.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup6.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup6.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup6.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup6.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup7.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup7.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup7.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup7.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup7.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup8.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup8.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup8.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup8.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup8.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mboxgroup9.appointment
    error : Table upgrade required. Please do "REPAIR TABLE `appointment`" or dump/reload to fix it!
    mboxgroup9.data_source_item
    error : Table upgrade required. Please do "REPAIR TABLE `data_source_item`" or dump/reload to fix it!
    mboxgroup9.imap_folder
    error : Table upgrade required. Please do "REPAIR TABLE `imap_folder`" or dump/reload to fix it!
    mboxgroup9.mail_item
    error : Table upgrade required. Please do "REPAIR TABLE `mail_item`" or dump/reload to fix it!
    mboxgroup9.pop3_message
    error : Table upgrade required. Please do "REPAIR TABLE `pop3_message`" or dump/reload to fix it!
    mysql.general_log
    Error : You can't use locks with log tables.
    mysql.slow_log
    Error : You can't use locks with log tables.
    zimbra.config
    error : Table upgrade required. Please do "REPAIR TABLE `config`" or dump/reload to fix it!
    zimbra.deleted_account
    error : Table upgrade required. Please do "REPAIR TABLE `deleted_account`" or dump/reload to fix it!
    zimbra.mailbox
    error : Table upgrade required. Please do "REPAIR TABLE `mailbox`" or dump/reload to fix it!
    zimbra.mailbox_metadata
    error : Table upgrade required. Please do "REPAIR TABLE `mailbox_metadata`" or dump/reload to fix it!
    zimbra.mobile_devices
    error : Table upgrade required. Please do "REPAIR TABLE `mobile_devices`" or dump/reload to fix it!
    zimbra.out_of_office
    error : Table upgrade required. Please do "REPAIR TABLE `out_of_office`" or dump/reload to fix it!
    zimbra.scheduled_task
    error : Table upgrade required. Please do "REPAIR TABLE `scheduled_task`" or dump/reload to fix it!
    zimbra.table_maintenance
    error : Table upgrade required. Please do "REPAIR TABLE `table_maintenance`" or dump/reload to fix it!
    zimbra.volume
    error : Table upgrade required. Please do "REPAIR TABLE `volume`" or dump/reload to fix it!
    What I can do? I am loosing my data?

    Note my system is Fedora 13 64 bit

    Thank you for your help

    Alex

  2. #2
    Join Date
    May 2006
    Posts
    83
    Rep Power
    9

    Default

    I got the same mail today after upgrading to 7.0 last week!

    My system is Debian 5 32-Bit

  3. #3
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by Oswald-Kolle View Post
    I got the same mail today after upgrading to 7.0 last week!
    Read the Release Notes and run the update script.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  4. #4
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by alex70 View Post
    One week ago I updated zimbra 6.0.10 to 7 beta4 file http://files2.zimbra.com/downloads/7...0127185715.tgz
    Why did you update to a beta when Zimbra 7 GA was released last week?
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  5. #5
    Join Date
    Mar 2010
    Posts
    23
    Rep Power
    5

    Default

    Quote Originally Posted by phoenix View Post
    Why did you update to a beta when Zimbra 7 GA was released last week?
    Becouse my OS is Fedora 13 64 bit and officialy there is not the packet for Fedora yet. As with the previous release (6.0.10 for Fedora11 overided for Fedora13) I always had many problem related to java and high cpu consuming, it was urgent for me to upgrade.

    Do you think it was better to install zimbra 7 GA build for for Fedora 11 and still override the OS.

    You are right I missed to run the script /opt/zimbra/libexec/scripts/migrate20100913-Mysql51.pl as suggested. I have just run and after zmdbintegrityreport:

    [root@server1 ~]# /opt/zimbra/libexec/zmdbintegrityreport
    Database errors found.
    /opt/zimbra/mysql/bin/mysqlcheck --defaults-file=/opt/zimbra/conf/my.cnf -S /opt/zimbra/db/mysql.sock -A -C -s -u root --password=????????????????????
    zTlFXX
    mysql.general_log
    Error : You can't use locks with log tables.
    mysql.slow_log
    Error : You can't use locks with log tables.
    [root@server1 ~]#
    But I think to have found the answer in this tread 47108. So we need just to wait for a fix.

    The are something else I should do right know?

    thank you for your precious help.

    Alex
    Last edited by alex70; 02-14-2011 at 03:59 AM.

  6. #6
    Join Date
    Feb 2011
    Location
    Bishkek, Kyrgyzstan
    Posts
    39
    Rep Power
    4

    Default

    May be try to use another linux?.
    Try Oracle Enterprise LInux https://edelivery.oracle.com/linux. It's RHEL5 twins, and more stable than fedora. Two years, seven zimbra servers and no problem related to java and anything else.

  7. #7
    Join Date
    Mar 2010
    Posts
    23
    Rep Power
    5

    Default

    Mavlenko... Thank you for your suggest. I have just read some description of Oracle Distro and seems also to be quicker. I will keep your suggest for the future but now unfortunately I have no time to upgrade to a new server.

    Anyway thanks again

    Alex
    Last edited by alex70; 02-14-2011 at 04:04 AM.

  8. #8
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by alex70 View Post
    Mavlenko... Thank you for your suggest. I have just read some description of Oracle Distro and seems also to be quicker. I will keep your suggest for the future but now unfortunately I have no time to upgrade to a new server.
    You don't get updates with Oracle Linux unless you pay for access to their update service, if you want a free distribution then use CentOS - it's a binary compatible rebuild of RHEL and used by many forum users.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  9. #9
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by alex70 View Post
    But I think to have found the answer in this tread 47108. So we need just to wait for a fix.

    The are something else I should do right know?

    thank you for your precious help.
    Those error messages are just warnings and can be ignored, you might be waiting a long time for the fix from MySQL (it's their bug not Zimbra) as that bug has been around since 2007.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  10. #10
    Join Date
    Mar 2010
    Posts
    23
    Rep Power
    5

    Default

    Quote Originally Posted by phoenix View Post
    Those error messages are just warnings and can be ignored, you might be waiting a long time for the fix from MySQL (it's their bug not Zimbra) as that bug has been around since 2007.
    Thank you Bill for your suggest regarding Oracle and Centos. CEntos was my previous distro but they are very slow in release upgrade.

    By the way regarding Zimbra 7 what do you suggest to do:

    1: keep the current beta release and wait for the one for Fedora 13
    2: install ZCS 7 GA for Fedora 11 overiding OS?

    thnak you

    Best Regards

    Alex

Similar Threads

  1. 6.0.10 to 7.0.0 NetworkEdition Upgrade Problems
    By liston13 in forum Administrators
    Replies: 3
    Last Post: 08-01-2011, 12:41 AM
  2. Upgrade attempt from NE 6.0.10 to NE 7.0.0 hung
    By goo0h in forum Administrators
    Replies: 8
    Last Post: 03-03-2011, 12:16 PM
  3. Replies: 17
    Last Post: 02-11-2011, 03:59 AM
  4. Successful upgrade from 6.0.9 to 6.0.10 on Ubuntu 8.04 64bit
    By momok in forum Zimbra Success Stories
    Replies: 1
    Last Post: 01-12-2011, 10:10 AM
  5. zmsetup.pl hangs in upgrade from 6.0.3 to 6.0.10
    By snorris09 in forum Administrators
    Replies: 0
    Last Post: 12-30-2010, 11:33 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •